## ros-kinetic-dynamic-reconfigure 1.5.50

=== debian/changelog ===
ros-kinetic-dynamic-reconfigure (1.5.50-0xenial) xenial; urgency=high

  * final-keyword (#113 <https://github.com/ros/dynamic_reconfigure/issues/113>)
    * Add final keyword to child class since parent has virtual methods and grand parent doesn't have a virtual destructor. This allows the code to be compiled by clang version 6.0 and above.
  * [indentation fixups]
    * Use textwrap dedent for multiline strings
    * Remove extra indentation in wikidoc
    * Use textwrap.dedent to form the error message
  * [test fix] call shutdown to prevent test from hanging (#119 <https://github.com/ros/dynamic_reconfigure/issues/119>)
  * Modernize Python code (#102 <https://github.com/ros/dynamic_reconfigure/issues/102>)
    * Use new-style classes
    * Use with statement to ensure files are closed
  * Python 3 compatibility (#105 <https://github.com/ros/dynamic_reconfigure/issues/105>)
    * some randon python cleanup
    * remove iter* method for their 2/3 compatible equivalent
  * Contributors: Eric Wieser, Jason Mercer, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 01 Oct 2018 22:00:00 -0000

ros-kinetic-dynamic-reconfigure (1.5.49-0xenial) xenial; urgency=high

  * Pep8 (#93 <https://github.com/ros/dynamic_reconfigure/issues/93>)
  * Python3 use print function and not statement (#92 <https://github.com/ros/dynamic_reconfigure/issues/92>)
  * add shebang line in setup_custom_pythonpath.sh.in template (#91 <https://github.com/ros/dynamic_reconfigure/issues/91>)
  * switch to package format 2 (#89 <https://github.com/ros/dynamic_reconfigure/issues/89>)
  * remove trailing whitespaces (#88 <https://github.com/ros/dynamic_reconfigure/issues/88>)
  * Reraising DynamicReconfigureCallbackException in case of a failing service call (#87 <https://github.com/ros/dynamic_reconfigure/issues/87>)
  * Contributors: Arne Hitzmann, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 26 Jul 2017 22:00:00 -0000

ros-kinetic-dynamic-reconfigure (1.5.48-0xenial) xenial; urgency=high

  * [Bugfix] dont enforce ROS names for constants (#84 <https://github.com/ros/dynamic_reconfigure/issues/84>)
  * [Compiler warnings] avoid unused-parameter compiler warnings in specialized ParamDescription<std::string>::clamp() (#83 <https://github.com/ros/dynamic_reconfigure/issues/83>)
  * Contributors: Johannes Meyer, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 06 Apr 2017 22:00:00 -0000

ros-kinetic-dynamic-reconfigure (1.5.47-0xenial) xenial; urgency=high

  * reset received_configuration_ for every request sent (#82 <https://github.com/ros/dynamic_reconfigure/issues/82>)
  * Rename arguments (with a_ prefix) to avoid Wshadow warnings. (#80 <https://github.com/ros/dynamic_reconfigure/issues/80>)
    handle infinity in python generation, fixes (#77 <https://github.com/ros/dynamic_reconfigure/issues/77>)
  * Add a c++ Dynamic Reconfigure Client (#78 <https://github.com/ros/dynamic_reconfigure/issues/78>)
  * Enforce valid descriptions in cfg files (#74 <https://github.com/ros/dynamic_reconfigure/issues/74>)
  * Fix callback returned by get_description_callback (#73 <https://github.com/ros/dynamic_reconfigure/issues/73>) from ros/description_cb
  * Contributors: Jeff Eberl, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 26 Mar 2017 22:00:00 -0000

ros-kinetic-dynamic-reconfigure (1.5.46-0xenial) xenial; urgency=high

  * Add missing group params to wikidoc (#68 <https://github.com/ros/dynamic_reconfigure/issues/68>)
    The catkin generated wikidoc files were missing parameters defined as groups.
    Both the Dox and UsageDox file were generated correctly, but the wikidoc was
    using the wrong method to traverse all groups.
  * Contributors: Mark Horn

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Nov 2016 23:00:00 -0000

ros-kinetic-dynamic-reconfigure (1.5.45-0xenial) xenial; urgency=high

  * Merge pull request #65 <https://github.com/ros/dynamic_reconfigure/issues/65> from bulwahn/master
    address gcc6 build error
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 23 Oct 2016 22:00:00 -0000

ros-kinetic-dynamic-reconfigure (1.5.44-0xenial) xenial; urgency=high

  * Add server namespaces (#56 <https://github.com/ros/dynamic_reconfigure/issues/56>)
    * Add optional namespace argument to Python Server
    * Add test for server with multiple namespaces
  * Merge pull request #61 <https://github.com/ros/dynamic_reconfigure/issues/61> from vagvaz/Issue_51_Unable_to_reload_parameters_from_file
    fix issue #51 <https://github.com/ros/dynamic_reconfigure/issues/51> reloading parameters from dumped file
  * Contributors: Evangelos Vazaios, Mikael Arguedas, v-lopez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 21 Jun 2016 22:00:00 -0000

ros-kinetic-dynamic-reconfigure (1.5.43-0xenial) xenial; urgency=high

  * add devel space to Python environment to allow .cfg files to import them #60 <https://github.com/ros/dynamic_reconfigure/issues/60>
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 18 Mar 2016 23:00:00 -0000

ros-kinetic-dynamic-reconfigure (1.5.42-0xenial) xenial; urgency=high

  * fix Python environment to make it work on the first run #59 <https://github.com/ros/dynamic_reconfigure/issues/59>
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Mar 2016 23:00:00 -0000


